Page MenuHomeFreeBSD

devel/elfio: Updated from 1.0.3 to 3.3
ClosedPublic

Authored by james.wright_digital-chaos.com on Apr 10 2019, 8:29 PM.

Details

Summary

Updated ELFIO from 1.0.3 to 3.3. It is not backwards compatible, but no other ports seem to use it.

Bugzilla Ticket:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=237224

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Added elfio3 directory to devel/Makefile
Added myself as maintainer

tobik added a subscriber: tobik.Apr 14 2019, 6:15 AM

Added a new port for ELFIO v3.x as it is incompatible with the existing v1.x.x

devel/elfio is unmaintained and no ports depend on it. Why not update it to 3.x instead of adding a new port? Is there a reason devel/elfio needs to stay at 1.x?

devel/elfio3/Makefile
10 ↗(On Diff #56182)

Bad COMMENT (drop "ELFIO is a"). See 5.6. COMMENT.

tobik requested changes to this revision.Apr 14 2019, 6:15 AM
This revision now requires changes to proceed.Apr 14 2019, 6:15 AM

Added a new port for ELFIO v3.x as it is incompatible with the existing v1.x.x

devel/elfio is unmaintained and no ports depend on it. Why not update it to 3.x instead of adding a new port? Is there a reason devel/elfio needs to stay at 1.x?

Wasn't sure if that was the recommended approach or not, so leaned on the side of caution. I'll update devel/efio instead.

james.wright_digital-chaos.com retitled this revision from Added port for devel/elfio3 to devel/elfio: Updated from 1.0.3 to 3.3.
james.wright_digital-chaos.com edited the summary of this revision. (Show Details)

Updated existing devel/elfio port rather than creating a new one (devel/elfio3).

tcberner added inline comments.Apr 14 2019, 3:31 PM
devel/elfio/Makefile
1 ↗(On Diff #56201)

^ you may (unfortunately) not remove that line unless you have permission by 'ijliao'

tobik requested changes to this revision.Apr 14 2019, 6:45 PM
tobik added inline comments.
devel/elfio/Makefile
25 ↗(On Diff #56201)

Can you install the example source code too like before? IMHO it's more useful than compiled example programs.

The example programs are already installed by the build itself just in the wrong directory, so something is not quite right yet.

$ make check-plist
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: bin/anonymizer
Error: Orphaned: bin/elfdump
Error: Orphaned: bin/tutorial
Error: Orphaned: bin/write_obj
Error: Orphaned: bin/writer
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.

Maybe set

CONFIGURE_ARGS=        --bindir=${EXAMPLESDIR}

instead.

This revision now requires changes to proceed.Apr 14 2019, 6:45 PM

Updated Makefile based on suggestions;

Reinstated #CreatedBy header

Fixed install directory of examples binaries with CONFIGURE_ARGS= --bindir=${EXAMPLESDIR}

Now installs examples source code in addition to the example binaries

james.wright_digital-chaos.com marked an inline comment as done.Apr 14 2019, 11:16 PM
tobik accepted this revision.Apr 15 2019, 8:01 AM
This revision is now accepted and ready to land.Apr 15 2019, 8:01 AM
This revision was automatically updated to reflect the committed changes.